%define upstream_name Dist-Zilla-Plugin-ContributorsFromGit
%define upstream_version 0.019

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Populates your 'CONTRIBUTORS' POD from the list of git authors
License:    LGPLv2
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 5.13.0
BuildRequires: perl(Dist::Zilla::Role::BeforeBuild)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::RegisterStash)
BuildRequires: perl(Dist::Zilla::Stash::PodWeaver)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which)
BuildRequires: perl(File::Temp) >= 0.230.800
BuildRequires: perl(File::chdir)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Pty)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::AttributeShortcuts)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::CheckDeps) >= 0.10.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::File::ShareDir)
BuildRequires: perl(Test::Moose::More)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::TempDir::Tiny)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(aliased)
BuildRequires: perl(autobox::Core)
BuildRequires: perl(autobox::Junctions)
BuildRequires: perl(autodie)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This plugin makes it easy to acknowledge the contributions of others by
populating a %PodWeaver stash with the unique list of all git commit
authors reachable from the current HEAD.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.19.0-5.mga10
+ Revision: 2208588
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.19.0-4.mga9
+ Revision: 1818966
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.19.0-3.mga8
+ Revision: 1505730
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 tv <tv> 0.19.0-2.mga7
+ Revision: 1283344
- need a newer File::Temp
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 0.19.0-1.mga7
+ Revision: 1168366
- update to 0.019

* Sun Jun 19 2016 pterjan <pterjan> 0.17.0-3.mga6
+ Revision: 1026187
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.17.0-2.mga6
+ Revision: 966575
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.17.0-1.mga6
+ Revision: 845940
- update to 0.017

* Wed Oct 15 2014 umeabot <umeabot> 0.14.0-3.mga5
+ Revision: 740719
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Jul 07 2014 sander85 <sander85> 0.14.0-1.mga5
+ Revision: 650419
- update to 0.014

* Fri May 02 2014 sander85 <sander85> 0.13.0-1.mga5
+ Revision: 619542
- update to 0.013

* Sat Oct 19 2013 umeabot <umeabot> 0.6.0-2.mga4
+ Revision: 529912
- Mageia 4 Mass Rebuild

* Sun Jul 14 2013 sander85 <sander85> 0.6.0-1.mga4
+ Revision: 454079
- imported package perl-Dist-Zilla-Plugin-ContributorsFromGit

